"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeAjaxConfig = exports.getDefaultConfig = void 0;
const tslib_1 = require("tslib");
const DEFAULT_CONFIG = {
    // we never want caching
    cache: false,
    // we always want JSON
    // dataType: "json",
};
function getDefaultConfig(config) {
    return mergeAjaxConfig(DEFAULT_CONFIG, config);
}
exports.getDefaultConfig = getDefaultConfig;
function mergeAjaxConfig(config, toMerge) {
    const _a = config || {}, { headers } = _a, passThrough = tslib_1.__rest(_a, ["headers"]);
    const _b = toMerge || {}, { headers: headers2 } = _b, passThrough2 = tslib_1.__rest(_b, ["headers"]);
    return Object.assign(Object.assign(Object.assign({}, passThrough), passThrough2), { headers: Object.assign(Object.assign({}, headers), headers2) });
}
exports.mergeAjaxConfig = mergeAjaxConfig;
//# sourceMappingURL=AjaxRequestConfig.js.map